LibreOffice: XTabPageContainer Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
XTabPageContainer Interface Referencepublished

An interface to a control that displays tab pages. More...

Inheritance diagram for XTabPageContainer:

## Public Member Functions
short | getTabPageCount ()
| Returns the number of tab pages.
boolean | isTabPageActive ([in] short tabPageIndex)
| Checks whether a tab page is activated.
XTabPage | getTabPage ([in] short tabPageIndex)
| Returns tab page for the given index.
XTabPage | getTabPageByID ([in] short tabPageID)
| Returns tab page for the given ID.
void | addTabPageContainerListener ([in] XTabPageContainerListener listener)
| Adds a listener for the TabPageActivedEvent posted after the tab page was activated.
void | removeTabPageContainerListener ([in] XTabPageContainerListener listener)
| Removes a listener previously added with addTabPageListener().

## Public Attributes
short | ActiveTabPageID
| Specifies the ID of the current active tab page.

## Detailed Description

An interface to a control that displays tab pages.

See also
  UnoControlTabPageContainer

Since
  OOo 3.4

## Member Function Documentation

## ◆ addTabPageContainerListener()

void addTabPageContainerListener | ( | [in] XTabPageContainerListener | listener | ) |

Adds a listener for the TabPageActivedEvent posted after the tab page was activated.

Parameters

  listener | the listener to add.

## ◆ getTabPage()

XTabPage getTabPage | ( | [in] short | tabPageIndex | ) |

Returns tab page for the given index.

Parameters

  tabPageIndex | - index of the tab page in the IndexContainer.

Returns
  tab page which has tabPageIndex.

## ◆ getTabPageByID()

XTabPage getTabPageByID | ( | [in] short | tabPageID | ) |

Returns tab page for the given ID.

Parameters

  tabPageID | - ID of the tab page.

Returns
  tab page which has tabPageID.

## ◆ getTabPageCount()

short getTabPageCount | ( |  | ) |

Returns the number of tab pages.

Returns
  the number of tab pages.

## ◆ isTabPageActive()

boolean isTabPageActive | ( | [in] short | tabPageIndex | ) |

Checks whether a tab page is activated.

Parameters

  tabPageIndex | the tab page to be checked.

Returns
  `TRUE` if tab page is activated, else `FALSE`.

## ◆ removeTabPageContainerListener()

void removeTabPageContainerListener | ( | [in] XTabPageContainerListener | listener | ) |

Removes a listener previously added with addTabPageListener().

Parameters

  listener | the listener to remove.

## Member Data Documentation

## ◆ ActiveTabPageID

short ActiveTabPageID
| attribute

Specifies the ID of the current active tab page.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/tab/XTabPageContainer.idl